Name:           scim-tomoe
Version:        0.5.0
Release:        3%{?dist}
Summary:        Tomoe module for SCIM for Japanese handwritten input

Group:          System Environment/Libraries
License:        GPL
URL:            http://scim-imengine.sourceforge.jp/
Source0:        %{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Patch0:         scim-tomoe-moduledir.patch
Patch1:         scim-tomoe-libexecdir.patch

BuildRequires:  scim-devel, tomoe-devel, libtomoe-gtk-devel
# patch1 touches configure.ac
BuildRequires:  autoconf
Requires:       scim, tomoe >= %{version}, libtomoe-gtk >= %{version}

%description
Scim-tomoe allows Japanese handwritten input of characters using SCIM.


%prep
%setup -q
%patch0 -p0 -b .0-moduledir
%patch1 -p1 -b .1-libexec
# patch1 touches configure.ac
autoconf


%build
%configure --disable-static
make %{?_smp_mflags}


%install
rm -rf ${RPM_BUILD_ROOT}
make DESTDIR=${RPM_BUILD_ROOT} install

rm $RPM_BUILD_ROOT%{_libdir}/scim-1.0/*/*/*.la

%find_lang %{name}


%clean
rm -rf ${RPM_BUILD_ROOT}


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog
%{_libdir}/scim-1.0/*/Helper/tomoe.so
%{_datadir}/scim/icons/scim-tomoe.png
%{_bindir}/scim-tomoe


%changelog
* Wed Feb  7 2007 Jens Petersen <petersen@redhat.com> - 0.5.0-3
- add scim-tomoe-libexecdir.patch to make scim-tomoe wrapper script run
  (#227626)
- remove %%with_libstdc_preview

* Sun Jan 21 2007 Ryo Dairiki <ryo-dairiki@users.sourceforge.net> - 0.5.0-2
- fix the building dependency.

* Sat Jan 20 2007 Ryo Dairiki <ryo-dairiki@users.sourceforge.net> - 0.5.0-1
- update to 0.5.0.

* Thu Dec 21 2006 Ryo Dairiki <ryo-dairiki@users.sourceforge.net> - 0.4.0-1
- update to 0.4.0.

* Fri Oct 7 2006 Ryo Dairiki <ryo-dairiki@users.sourceforge.net> - 0.2.0-6
- fix the release number for upgrading install from FE5 to FE6.

* Sat Sep 15 2006 Ryo Dairiki <ryo-dairiki@users.sourceforge.net> - 0.2.0-5
- mass rebuilding.

* Tue Apr  4 2006 Jens Petersen <petersen@redhat.com> - 0.2.0-4
- rebuild without libstdc++so7

* Wed Mar  1 2006 Ryo Dairiki <ryo-dairiki@users.sourceforge.net> - 0.2-3
- update to 0.2

* Mon Feb 13 2006 Jens Petersen <petersen@redhat.com> - 0.1.0-3
- build conditionally with libstdc++so7 preview library (#166041)
  - add with_libstdc_preview switch and tweak libtool to link against it
- list shared object module files explicitly

* Fri Oct  7 2005 Ryo Dairiki <ryo-dairiki@users.sourceforge.net> - 0.1.0-2
- add scim into the requirement

* Wed Aug 31 2005 Ryo Dairiki <ryo-dairiki@mbm.nifty.com> - 0.1.0-1
- update to 0.1.0

* Wed Aug 17 2005 Jens Petersen <petersen@redhat.com> - 0.0.0-0.20050817
- initial packaging of cvs snapshot
